#ifndef _TILE_BASE_ENCODING_BASE64_H
#define _TILE_BASE_ENCODING_BASE64_H

#pragma once

#include "tile/base/optional.h"
#include "tile/base/slice.h"

namespace tile {

std::string EncodeBase64(Slice from);
std::optional<std::string> DecodeBase64(Slice from);

void EncodeBase64(Slice from, std::string *to);
bool DecodeBase64(Slice from, std::string *to);
}// namespace tile

#endif// _TILE_BASE_ENCODING_BASE64_H
